CVE-2022-2095 – An improper access control check in GitLab CE/EE affecting all versions starting from 13.7 …

Vuln ID: CVE-2022-2095

Published:  2022-08-05  16:15:11Z

Description: An improper access control check in GitLab CE/EE affecting all versions starting from 13.7 before 15.0.5, all versions starting from 15.1 before 15.1.4, all versions starting from 15.2 before 15.2.1 allows a malicious authenticated user to view a public project’s Deploy Key’s public fingerprint and name when that key has write permission. Note that GitLab never asks for nor stores the private key.

Source: NVD.NIST.GOV